# Get a list of identities (v2) - Legacy

Get a list of identities that match the query parameters.

Note: Depending on the number of identities in your account, not all of them may be returned even if they match your query parameters.

Endpoint: GET /v2/identities
Version: 2025.11
Security: Bearer

## Query parameters:

  - `identityType` (string)
    The type of identities you want to retrieve
    Enum: "SENDER", "BENEFICIARY", "ORIGINATOR"

  - `nickName` (string)
    The nickname for the identity provided at the time of identity creation
    Example: "Successful Beneficiary"

## Response 200 fields (application/json):

  - `data` (array)
    The list of the identities that match the query parameters

  - `data.identityId` (string, required)
    The unique ID of the identity
    Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b"

  - `data.nickName` (string, required)
    The nickname of the identity provided at the time of identity creation.
    Example: "MyCompany"

  - `data.createdAt` (string, required)
    The time at which the identity was created
    Example: "2023-11-02T18:26:00.000Z"

  - `data.identityType` (string, required)
    The type of the identity
    Enum: "SENDER", "BENEFICIARY", "ORIGINATOR"

  - `data.useCaseType` (string, required)
    Classification of the identity:
  • INDIVIDUAL - A natural person.
  • BUSINESS - A legal entity such as a company or institution.
    Enum: "INDIVIDUAL", "BUSINESS"

## Response 400 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: "SYS_100"

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: "No identity exists for identityId"

  - `errors.type` (string, required)
    Identifies the problem type
    Example: "USER_VALIDATION_ERROR"

  - `errors.description` (string, required)
    Provides more technical information
    Example: "Unable to get identity. Identity ID should be in UUID format"

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: "2023-11-02T18:26:00.000123Z"

  - `timestamp` (string)
    The timestamp of the error
    Example: "2023-11-02T18:26:00.000Z"


